2011-2014
Khronos Group
gl_GlobalInvocationID
3G

# gl_GlobalInvocationID

contains the global index of work item currently being operated on by a compute shader

## Declaration

in
uvec3 `gl_GlobalInvocationID`

## Description

In the compute language, `gl_GlobalInvocationID` is a derived input variable containing the n-dimensional index of the work invocation within the global work group that the current shader is executing on. The value of `gl_GlobalInvocationID` is equal to `gl_WorkGroupID` * `gl_WorkGroupSize` + `gl_LocalInvocationID`.

## Version Support

`gl_GlobalInvocationID`

## See Also

gl_NumWorkGroups, gl_WorkGroupID, gl_WorkGroupSize, gl_LocalInvocationID

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.